


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
int l;	/*%LONG*/
int sw_value;int sw_line;char *sw_file;
int sparse_value;int sparse_line;char *sparse_file;
 l=3;
 {sw_value=l; sw_line = __LINE__; sw_file = __FILE__; goto sw_despatch;}
sw_default:
sparse_1:
	sparse_default:
 fprintf(out_file, "%s", "WRONG PLACE");	 exit(0);
sw_3:

 {sparse_value=l; sparse_line = __LINE__; sparse_file = __FILE__; goto sparse_despatch;}
sparse_3:

 fprintf(out_file, "%s", "TEST OK\n");
 exit(0);
exit(0);
goto sparse_skip;
sparse_despatch:
switch (sparse_value) {
case 1: goto sparse_1;
case 3: goto sparse_3;
default:goto sparse_default;
}
sparse_skip:;
goto sw_skip;
sw_despatch:
switch (sw_value) {
case 3: goto sw_3;
default:goto sw_default;
}
sw_skip:;
}

/* end of automatic translation */

